Subject: Get rid of old watch!

From: " Iptel-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 18:51:48 +0200

Don’t miss the chance to get yourself a qualitative replica timepiece for less!
Don’t waste money – our prices are the lowest and we ship orders for free!
All popular top-notch brands are always in stock and ready to be yours!
http://stflu.com